Introduction IBM Cloud® Schematics uses Terraform to help you define cloud resources with code. It makes simple to manage your infrastructure by using scripts. Terraformhttps://www.terraform.io/ is an open source tool that is developed by HashiCorp that allows consistent and reliable provisioning of resources, simple to build complex, multitier cloud environments quickly. IBM Cloud Schematics and Ansible are complementary tools. Ansible helps with provisioning, configuration management, and deploying secure applications. IBM Cloud Schematics supports Ansible Galaxyhttps://cloud.ibm.com/docs/schematics?topic=schematics-getting-started-ansibleansible-galaxy, making automation easier by using roles and collections. The following list provides the detailed documentation. - Schematics getting started tutorialhttps://cloud.ibm.com/docs/schematics?topic=schematics-getting-started - About Schematics documentationhttps://cloud.ibm.com/docs/schematics?topic=schematics-learn-about-schematics - About Schematics and Ansible documentationhttps://cloud.ibm.com/docs/schematics?topic=schematics-getting-started-ansible The code examples on this tab use the IBM Cloud Schematics SDK for Java. Gradle groovy compile group: 'com.ibm.cloud', name: 'schematics', version: '0.+' Maven Maven installation instructionshttps://github.com/IBM/schematics-java-sdk/maven GitHub Method Path Summary GET /v2/locations List supported locations GET /v1/resource_groups List resource groups GET /v1/version Get Schematics API information POST /v2/template_metadata_processor Get variable metadata by parsing the template GET /v2/workspaces/{w_id}/resources List workspace resources GET /v2/workspaces/{w_id}/output_values List workspace output values GET /v2/workspaces/{w_id}/template_data/{t_id}/values_metadata List workspace variable metadata GET /v1/workspaces List workspaces POST /v1/workspaces Create a workspace DELETE /v1/workspaces/{w_id} Delete a workspace GET /v1/workspaces/{w_id} Get workspace details PATCH /v1/workspaces/{w_id} Update workspace metadata PUT /v1/workspaces/{w_id} Update workspace GET /v1/workspaces/{w_id}/templates/readme Show workspace template readme PUT /v1/workspaces/{w_id}/template_data/{t_id}/template_repo_upload Upload a TAR file to your workspace GET /v1/workspaces/{w_id}/template_data/{t_id}/values List workspace input variables PUT /v1/workspaces/{w_id}/template_data/{t_id}/values Replace workspace input variables GET /v1/workspaces/{w_id}/templates/values Get workspace template details GET /v1/workspaces/{w_id}/template_data/{t_id}/values_metadata List workspace variable metadata GET /v1/workspaces/{w_id}/output_values List workspace output values GET /v1/workspaces/{w_id}/resources List workspace resources GET /v1/workspaces/{w_id}/state_stores Get Terraform statefile URL GET /v1/workspaces/{w_id}/runtime_data/{t_id}/state_store Show Terraform statefile content GET /v1/workspaces/{w_id}/actions/{activity_id}/logs Get workspace job log URL GET /v1/workspaces/{w_id}/log_stores Get latest workspace job log URL for all workspace templates GET /v1/workspaces/{w_id}/runtime_data/{t_id}/log_store Show latest logs for a workspace template GET /v1/workspaces/{w_id}/runtime_data/{t_id}/log_store/actions/{activity_id} Show logs for a workspace job GET /v2/actions List actions POST /v2/actions Create an action DELETE /v2/actions/{action_id} Delete an action GET /v2/actions/{action_id} Get action details PATCH /v2/actions/{action_id} Update an action PUT /v2/actions/{action_id}/template_repo_upload Upload a TAR file to an action GET /v1/workspaces/{w_id}/actions List workspace jobs DELETE /v1/workspaces/{w_id}/actions/{activity_id} Stop the workspace job GET /v1/workspaces/{w_id}/actions/{activity_id} Get workspace job details PUT /v1/workspaces/{w_id}/commands Run Terraform Commands PUT /v1/workspaces/{w_id}/apply Perform a Schematics `apply` job PUT /v1/workspaces/{w_id}/destroy Perform a Schematics `destroy` job POST /v1/workspaces/{w_id}/plan Perform a Schematics `plan` job PUT /v1/workspaces/{w_id}/refresh Perform a Schematics `refresh` job GET /v2/jobs List jobs POST /v2/jobs Create a job DELETE /v2/jobs/{job_id} Stop the running Job, and delete the Job GET /v2/jobs/{job_id} Get a job PUT /v2/jobs/{job_id} Update a job GET /v2/jobs/{job_id}/logs Get job logs GET /v2/jobs/{job_id}/files Get output files from the Job record POST /v1/workspace_jobs Delete one or more workspace GET /v1/workspace_jobs/{wj_id}/status Get the workspace deletion job status GET /v2/inventories List inventory definitions POST /v2/inventories Create an inventory definition DELETE /v2/inventories/{inventory_id} Delete an inventory definition GET /v2/inventories/{inventory_id} Get an inventory definition PUT /v2/inventories/{inventory_id} Update an inventory definition GET /v2/resources_query List resource queries POST /v2/resources_query Create resource query DELETE /v2/resources_query/{query_id} Delete resources query GET /v2/resources_query/{query_id} Get resources query POST /v2/resources_query/{query_id} Run the resource query PUT /v2/resources_query/{query_id} Update resources query definition GET /v2/agents List agents POST /v2/agents Create an agent DELETE /v2/agents/{agent_id} Delete agent GET /v2/agents/{agent_id} Get agent details PUT /v2/agents/{agent_id} Update agent GET /v2/agents/versions Get agent versions PUT /v2/agents/{agent_id}/prs Run pre-requisite scanner job PUT /v2/agents/{agent_id}/health Run agent health check PUT /v2/agents/{agent_id}/deploy Run the agent deployment job DELETE /v2/agents/{agent_id}/resources Delete resources provisioned by agent GET /v2/settings/kms Get a KMS settings PUT /v2/settings/kms Update a KMS settings GET /v2/settings/kms_instances List KMS instances GET /v2/settings/policies List policies POST /v2/settings/policies Create a policy account DELETE /v2/settings/policies/{policy_id} Delete policy GET /v2/settings/policies/{policy_id} Get policy PATCH /v2/settings/policies/{policy_id} Update policy